"""recipe templates

Revision ID: 12262aadbc08
Revises: a1372ed99c45
Create Date: 2023-04-14 07:50:22.110724

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '12262aadbc08'
down_revision = 'a1372ed99c45'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('recipe_templates',
    sa.Column('id', sa.Uuid(), nullable=False),
    sa.Column('name', sa.Unicode(), nullable=False),
    sa.Column('date', sa.Date(), nullable=False),
    sa.Column('text', sa.Unicode(), nullable=False),
    sa.Column('selected', sa.Boolean(), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_recipe_templates')),
    sa.UniqueConstraint('name', name=op.f('uq_recipe_templates_name'))
    )
    op.create_index('only_one_selected_template', 'recipe_templates', ['selected'], unique=True, postgresql_where=sa.text('selected = true'))
    op.alter_column('recipes', 'notes',
               existing_type=sa.VARCHAR(length=255),
               type_=sa.Text(),
               existing_nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('recipes', 'notes',
               existing_type=sa.Text(),
               type_=sa.VARCHAR(length=255),
               existing_nullable=False)
    op.drop_index('only_one_selected_template', table_name='recipe_templates', postgresql_where=sa.text('selected = true'))
    op.drop_table('recipe_templates')
    # ### end Alembic commands ###
