import uuid

from decimal import Decimal

from brewman.schemas import to_camel
from brewman.schemas.product import ProductLink
from pydantic import BaseModel, ConfigDict


class Batch(BaseModel):
    id_: uuid.UUID | None = None
    name: str
    sku: ProductLink
    quantity_remaining: Decimal
    rate: Decimal
    tax: Decimal
    discount: Decimal
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
