import uuid

from decimal import Decimal

from brewman.schemas import to_camel
from brewman.schemas.batch import Batch
from pydantic import BaseModel, ConfigDict, Field


class Inventory(BaseModel):
    id_: uuid.UUID | None = None
    batch: Batch
    quantity: Decimal = Field(ge=0)
    rate: Decimal = Field(ge=0)
    tax: Decimal = Field(ge=0, le=5)
    discount: Decimal = Field(ge=0, le=1)
    amount: Decimal | None = None
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
