import uuid

from decimal import Decimal

from pydantic import BaseModel, ConfigDict, Field

from . import to_camel


class StockKeepingUnit(BaseModel):
    id_: uuid.UUID | None = None
    units: str = Field(..., min_length=1)
    fraction: Decimal = Field(ge=1, default=1)
    product_yield: Decimal = Field(gt=0, le=1, default=1)
    cost_price: Decimal = Field(ge=0, default=0)
    sale_price: Decimal = Field(ge=0, default=0)
    model_config = ConfigDict(str_strip_whitespace=True, alias_generator=to_camel, populate_by_name=True)
